GET
/api/v1/wallets/{walletLocatorId}/agentsTrust_GetWalletAgents
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 401, 403, 404, 409, 410, 422, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Trust_GetWalletAgents",
"summary": "List explicitly disclosed wallet-to-agent relationships",
"tags": [
"Trust"
],
"parameters": [
{
"name": "walletLocatorId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
{
"name": "relation",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"VERIFIED_OWNER",
"VERIFIED_MANAGER",
"EXECUTION_WALLET",
"REVENUE_WALLET",
"PROTOCOL_DECLARED"
]
}
},
{
"name": "includeHistorical",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "includeObserved",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"default": 25,
"type": "integer",
"minimum": 1,
"maximum": 100
}
},
{
"name": "cursor",
"in": "query",
"required": false,
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 2048
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"walletLocatorId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"data": {
"maxItems": 100,
"type": "array",
"items": {
"type": "object",
"properties": {
"entityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"agent": {
"type": "object",
"properties": {
"canonicalSlug": {
"type": "string"
},
"name": {
"type": "string"
},
"imageUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"canonicalSlug",
"name",
"imageUri"
],
"additionalProperties": false
},
"relation": {
"type": "string",
"enum": [
"VERIFIED_OWNER",
"VERIFIED_MANAGER",
"EXECUTION_WALLET",
"REVENUE_WALLET",
"PROTOCOL_DECLARED",
"OBSERVED_ONLY"
]
},
"verificationState": {
"type": "string",
"enum": [
"UNVERIFIED",
"PARTIAL",
"VERIFIED",
"EXPIRED",
"REVOKED",
"CONFLICTED"
]
},
"purpose": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"confidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"validFrom": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"validTo": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"proofType": {
"anyOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 100
},
{
"type": "null"
}
]
},
"source": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"OWNERSHIP_PROOF",
"EXECUTION_BINDING",
"PROTOCOL_OBSERVATION",
"PRODUCT_EVIDENCE",
"TRUST_PROJECTION",
"MODERATION_ACTION"
]
},
"reference": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"evidencePublicId": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
}
},
"required": [
"kind",
"reference",
"evidencePublicId"
],
"additionalProperties": false
},
"freshness": {
"type": "object",
"properties": {
"observedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"ageSeconds": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"status": {
"type": "string",
"enum": [
"CURRENT",
"STALE"
]
},
"expiresAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"observedAt",
"ageSeconds",
"status",
"expiresAt"
],
"additionalProperties": false
},
"historical": {
"type": "boolean"
}
},
"required": [
"entityPublicId",
"agent",
"relation",
"verificationState",
"purpose",
"confidencePpm",
"validFrom",
"validTo",
"proofType",
"source",
"freshness",
"historical"
],
"additionalProperties": false
}
},
"page": {
"type": "object",
"properties": {
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"nextCursor"
],
"additionalProperties": false
},
"disclosure": {
"type": "string",
"const": "Only explicitly public relationships are returned. OBSERVED_ONLY is opt-in and is never represented as ownership."
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"walletLocatorId",
"data",
"page",
"disclosure",
"meta"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"401": {
"description": "unauthenticated",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"403": {
"description": "forbidden",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"409": {
"description": "conflict",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"410": {
"description": "challenge expired",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"422": {
"description": "proof invalid",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"wallets:read"
],
"x-rate-cost": 5,
"x-stability": "STABLE"
}